Subject: Re: linux-next: build warning after merge of the f2fs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 27 Nov 2018 09:17:47 +1100

Hi Jaegeuk,

On Mon, 26 Nov 2018 13:59:24 -0800 Jaegeuk Kim <[email-masked]> wrote:
>
> On 11/26, Stephen Rothwell wrote:
> > 
> > After merging the f2fs tree, today's linux-next build
> > (x86_64_allmodconfig) produced this warning:
> > 
> > In file included from fs/f2fs/dir.c:11:
> > fs/f2fs/f2fs.h: In function '__mark_inode_dirty_flag':
> > fs/f2fs/f2fs.h:2388:6: warning: this statement may fall through [-Wimplicit-fallthrough=]
> >    if (set)
> >       ^
> > fs/f2fs/f2fs.h:2390:2: note: here
> >   case FI_DATA_EXIST:
> >   ^~~~
> > 
> > Exposed by my use of -Wimplicit-fallthrough
> > 
> > I am not sure why this has turned up now (as opposed to earlier today).  
> 
> The above change had been there for a long time, as an intended behavior.

Yeah, it popped up due to line number changes in that file and the way
I was filtering new warnings.

> Hmm, I'm not sure how to avoid this.

if you add a comment
	/* fall through */
at the point the fall through occurs, then the warning is suppressed
(and it documents that it is deliberate).

-- 
Cheers,
Stephen Rothwell